org.gjt.sp.jedit.msg

## Class PropertiesChanged

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.PropertiesChanged

-     public class PropertiesChanged
      extends EBMessage

  Message sent when properties are changed using the global options or plugin options dialog box.
  Since:
    jEdit 2.2pre6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesChanged(EBComponent source)` Creates a new properties changed message.
    `PropertiesChanged(java.lang.Object source)` Creates a new properties changed message.

  - ### Method Summary

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, paramString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesChanged

          public PropertiesChanged(EBComponent source)

      Creates a new properties changed message.
      Parameters:
        `source` - The message source

    - #### PropertiesChanged

          public PropertiesChanged(java.lang.Object source)

      Creates a new properties changed message.
      Parameters:
        `source` - The message source